<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
// $Id: index.php,v 1.5 2003/03/19 07:02:49 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
include ("../../mainfile.php");
$meta['title'] = MP_MOON_PHASES;
include (XOOPS_ROOT_PATH."/header.php");
include_once(XOOPS_ROOT_PATH."/modules/moon/class/moon-phase.cls.php");
global $xoopsTheme;
OpenTable();
//------------------------------------------------------------------------------------------//
?>
<div align="left"><h4><?php echo MP_MOON_TITLE;?></h4></div>
<?php 
$dateAsTimeStamp = ''; // no need to pass the date if you want to use the current date
//$dateAsTimeStamp = strtotime('June 9 2003 21:00 UT');
$mp = new moonPhase($dateAsTimeStamp);
echo MP_MOON_PHASE_NAME, $mp->getPhaseName();
echo "<br />\n";
echo MP_PERC_ILLUMINATION, $mp->getPercentOfIllumination();
echo "<br />\n";
echo MP_DAYS_FULL_MOON , $mp->getDaysUntilNextFullMoon();
echo "<br />\n";
echo MP_DAYS_NEW_MOON , $mp->getDaysUntilNextNewMoon();
echo "<br />\n";
echo "<br />\n";
echo "<br />\n";
echo MP_MOON_ANIMATED;
echo "<br />\n";
echo "<img src='".XOOPS_URL."/modules/moon/images/moon.gif' />";
echo "<br />\n";
echo "<br />\n";
?>
 
<?php
//------------------------------------------------------------------------------------------//
CloseTable();
include (XOOPS_ROOT_PATH."/footer.php");
?>
